Bug 217428 - [New Port] graphics/caffe deep learning image recognition framework
Summary: [New Port] graphics/caffe deep learning image recognition framework
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Joseph Mingrone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-28 19:34 UTC by Eric Camachat
Modified: 2017-03-20 16:23 UTC (History)
2 users (show)

See Also:


Attachments
Caffe: a fast open framework for deep learning (12.46 KB, patch)
2017-02-28 19:34 UTC, Eric Camachat
no flags Details | Diff
upgrade to RC5, remove .bin suffix (12.94 KB, patch)
2017-03-01 21:07 UTC, Eric Camachat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2017-02-28 19:34:36 UTC
Created attachment 180367 [details]
Caffe: a fast open framework for deep learning
Comment 1 Eric Camachat 2017-02-28 19:36:28 UTC
Needs graphics/py-skimage (#217427) which needs math/py-PyWavelets (#217426).
Comment 2 Eric Camachat 2017-03-01 21:07:37 UTC
Created attachment 180402 [details]
upgrade to RC5, remove .bin suffix
Comment 3 Joseph Mingrone freebsd_committer 2017-03-18 23:45:22 UTC
New ports cannot be maintained by ports@FreeBSD.org.  Are you willing to be the maintainer?
Comment 4 Eric Camachat 2017-03-19 00:11:17 UTC
(In reply to Joseph Mingrone from comment #3)
OK, I will maintain it.
Comment 5 Joseph Mingrone freebsd_committer 2017-03-19 10:59:20 UTC
Under review: https://reviews.freebsd.org/D10053.  Please has a look and comment there if necessary.
Comment 6 commit-hook freebsd_committer 2017-03-20 16:20:44 UTC
A commit references this bug:

Author: jrm
Date: Mon Mar 20 16:19:53 UTC 2017
New revision: 436550
URL: https://svnweb.freebsd.org/changeset/ports/436550

Log:
  New port: graphics/caffe

  Caffe is a deep learning framework made with expression, speed, and
  modularity in mind. It is developed by the Berkeley Vision and Learning
  Center (BVLC) and by community contributors.

  WWW: http://caffe.berkeleyvision.org/

  PR:		217428
  Submitted by:	eric@camachat.org (maintainer)
  Reviewed by:	mat
  Approved by:	swills (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D10053

Changes:
  head/graphics/Makefile
  head/graphics/caffe/
  head/graphics/caffe/Makefile
  head/graphics/caffe/distinfo
  head/graphics/caffe/files/
  head/graphics/caffe/files/Makefile.config
  head/graphics/caffe/files/patch-Makefile
  head/graphics/caffe/pkg-descr
  head/graphics/caffe/pkg-plist
Comment 7 Joseph Mingrone freebsd_committer 2017-03-20 16:23:11 UTC
Committed.  Thanks.